#!/usr/bin/perl
#

package VCalendarObject;

sub new {
	my $class = shift;
	my $self = { @_ };

	bless $self, $class;
	return $self;
}

sub get_start_date {
	my $self = shift;

	my $dtstart = $self->{attrs}->{DTSTART};

	return undef if (!defined $dtstart);

	$dtstart =~ s/(\d\d\d\d)(\d\d)(\d\d)T(\d\d)(\d\d)(\d\d)/$1-$2-$3 $4:$5:$6/;

	return $dtstart;
}

sub get_summary {
	my $self = shift;
	return $self->{attrs}->{SUMMARY};
}

sub apply {
	my $self = shift;
	my $block = shift;

	&$block($self);

	foreach my $obj (@{$self->{contents}}) {
		$obj->apply($block);
	}
}


1;

